%global packname  GenomicRanges
%global rlibdir %{_libdir}/R/library

Name:             R-%{packname}
Version:          1.6.2
Release:          1%{dist}
Summary:          Representation and manipulation of genomic intervals

Group:            Applications/Engineering 
License:          Artistic 2.0
URL:              http://www.bioconductor.org/packages/release/bioc/html/GenomicRanges.html
Source0:          http://www.bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R-core >= 2.8.0 R-methods R-IRanges >= 1.11.26
BuildRequires:    R-devel tex(latex) R >= 2.8.0 R-methods R-IRanges-devel >= 1.11.26

%description
The ability to efficiently store genomic annotations and alignments is
playing a central role when it comes to analyze high-throughput sequencing
data (a.k.a. NGS data). The package defines general purpose containers for
storing genomic intervals as well as more specialized containers for
storing alignments against a reference genome.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
# Circular dependencies:
# R-BSgenome depends on R-GenomicRanges which
# suggests to have R-BSgenome
#%%{_bindir}/R CMD check %%{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}/
%doc %{rlibdir}/%{packname}/doc/
%doc %{rlibdir}/%{packname}/html/
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta/
%{rlibdir}/%{packname}/R/
%{rlibdir}/%{packname}/extdata/
%{rlibdir}/%{packname}/help/
%{rlibdir}/%{packname}/scripts/
%{rlibdir}/%{packname}/unitTests/
%{rlibdir}/%{packname}/libs/

%changelog
* Wed Nov  9 2011 Tom Callaway <spot@fedoraproject.org> 1.6.2-1
- update to 1.6.2

* Sat Jul 02 2011 pingou <pingou@pingoured.fr> 1.4.6-1
- Update to version 1.4.6

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 pingou <pingou@pingoured.fr> 1.2.3-1
- Update to version 1.2.3

* Mon Dec 20 2010 pingou <pingou@pingoured.fr> 1.2.2-1
- Update to version 1.2.2

* Thu Nov 25 2010 pingou <pingou@pingoured.fr> 1.2.1-1
- Update to version 1.2.1

* Tue Oct 26 2010 pingou <pingou@pingoured.fr> 1.2.0-1
- Update to version 1.2.0

* Wed Sep 29 2010 jkeating - 1.0.9-2
- Rebuilt for gcc bug 634757

* Tue Sep 07 2010 pingou <pingou@pingoured.fr> 1.0.9-1
- Update to version 1.0.9

* Tue Aug 17 2010 pingou <pingou@pingoured.fr> 1.0.7-2
- Change Require from R to R-core

* Thu Jul 29 2010 pingou <pingou@pingoured.fr> 1.0.7-1
- Update to 1.0.7
- End directory by / in %%files

* Mon Jul 19 2010 pingou <pingou@pingoured.fr> 1.0.6-1
- Update to 1.0.6
- End directory by / in %%files
- Change URL
- Fix typo in the comment of check (dependencies)
- Add dependencie to R-IRanges-devel

* Tue Jun 29 2010 pingou <pingou@pingoured.fr> 1.0.5-1
- initial package for Fedora
